Bug 1990300 (CVE-2021-34532)

Summary: CVE-2021-34532 dotnet: ASP.NET Core JWT token logging
Product: [Other] Security Response Reporter: Stefan Cornelius <scorneli>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: andrew.slice, bodavis, dbhole, kanderso, lvaleeva, maltron, omajid, rwagner, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: SDK 3.1.118, Runtime 3.1.18, SDK 5.0.206, Runtime 5.0.9 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-08-11 19:29:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1990317, 1990318, 1990319, 1990320, 1990321, 1990322    
Bug Blocks: 1990033    

Description Stefan Cornelius 2021-08-05 08:10:21 UTC
It was discovered that ASP.NET Core adds JWT tokens into the logfile if those can't be parsed correctly.

Comment 2 errata-xmlrpc 2021-08-11 18:41:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3142 https://access.redhat.com/errata/RHSA-2021:3142

Comment 3 errata-xmlrpc 2021-08-11 18:44:44 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2021:3143 https://access.redhat.com/errata/RHSA-2021:3143

Comment 4 Product Security DevOps Team 2021-08-11 19:29:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-34532

Comment 5 errata-xmlrpc 2021-08-12 06:47:26 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2021:3147 https://access.redhat.com/errata/RHSA-2021:3147

Comment 6 errata-xmlrpc 2021-08-12 06:52:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3148 https://access.redhat.com/errata/RHSA-2021:3148